# Data Management (DM) `DM` objects are used to manage communication between the algebraic structures in PETSc (`Vec` and `Mat`) and mesh data structures in PDE-based (or other) simulations. See, for structured grids `DMDA`, for staggered grids `DMSTAG`, and for unstructured grids `DMPLEX`. Users guide chapter: [](part_dm). Examples

Directories

dt
field
ftn-mod
impls
interface
label
partitioner
tests
tutorials